Page MenuHomePhabricator

labstore100[45]/labpuppetmaster/labtestpuppetmaster2001: Broken package state; would upgrade to sysvinit
Closed, ResolvedPublic

Description

When rolling out the systemd security update for jessie, I skipped labtestpuppetmaster2001, something is broken with the config and/or package state, when trying to upgrade udev/systemd it would even attempt to switch to sysvinit!

This is most probably caused by the openstack-mitaka component having systemd included.

# apt-get install libudev1 udev systemd systemd-sysv libsystemd0
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 udev : Breaks: ifupdown (< 0.8.5~)
        Breaks: systemd (< 224-2) but 215-17+deb8u13 is to be installed
E: Unable to correct problems, you have held broken packages.


# apt-get install udev
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  ifupdown libsystemd0 libudev1 sysvinit-core
Suggested packages:
  ppp rdnssd
The following packages will be REMOVED:
  systemd systemd-sysv
The following NEW packages will be installed:
  sysvinit-core
The following packages will be upgraded:
 ifupdown libsystemd0 libudev1 udev
4 upgraded, 1 newly installed, 2 to remove and 36 not upgraded.
Need to get 1,469 kB of archives.
After this operation, 13.3 MB disk space will be freed.
Do you want to continue? [Y/n] ^C

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2019, 9:23 AM

Also applies to labpuppetmaster*

MoritzMuehlenhoff renamed this task from labtestpuppetmaster2001: Broken package state; would upgrade to sysvinit to labpuppetmaster/labtestpuppetmaster2001: Broken package state; would upgrade to sysvinit.Apr 30 2019, 9:26 AM

Same for labstore1004/1005

MoritzMuehlenhoff renamed this task from labpuppetmaster/labtestpuppetmaster2001: Broken package state; would upgrade to sysvinit to labstore100[45]/labpuppetmaster/labtestpuppetmaster2001: Broken package state; would upgrade to sysvinit.Apr 30 2019, 9:46 AM
Dzahn triaged this task as High priority.Apr 30 2019, 9:40 PM
aborrero claimed this task.May 3 2019, 4:54 PM

I'm taking a look.

Mentioned in SAL (#wikimedia-operations) [2019-05-03T17:07:26Z] <arturo> T222148 drop udev from openstack-mitaka-jessie/jessie-wikimedia (related to T216497)

Mentioned in SAL (#wikimedia-operations) [2019-05-03T17:08:19Z] <arturo> T222148 drop libudev1 from openstack-mitaka-jessie/jessie-wikimedia (related to T216497)

Mentioned in SAL (#wikimedia-operations) [2019-05-03T17:09:18Z] <arturo> T222148 aborrero@labtestpuppetmaster2001:~ $ sudo apt-get install libudev1 udev systemd systemd-sysv libsystemd0

Mentioned in SAL (#wikimedia-operations) [2019-05-03T17:10:57Z] <arturo> T222148 aborrero@labpuppetmaster1001:~ $ sudo apt-get install libudev1 udev systemd systemd-sysv libsystemd0

Mentioned in SAL (#wikimedia-operations) [2019-05-03T17:11:45Z] <arturo> T222148 aborrero@labpuppetmaster1002:~ $ sudo apt-get install libudev1 udev systemd systemd-sysv libsystemd0

Mentioned in SAL (#wikimedia-operations) [2019-05-03T17:15:46Z] <arturo> T222148 aborrero@labstore1004:~ $ sudo apt-get install libudev1 udev systemd systemd-sysv libsystemd0

Mentioned in SAL (#wikimedia-operations) [2019-05-03T17:16:43Z] <arturo> T222148 aborrero@labstore1005:~ $ sudo apt-get install libudev1 udev systemd systemd-sysv libsystemd0

aborrero closed this task as Resolved.May 3 2019, 5:17 PM

thanks @MoritzMuehlenhoff for the heads up. All seems fixed now.

MoritzMuehlenhoff reopened this task as Open.May 6 2019, 9:36 AM

Looks good, with the removal of udev from the component, can we please also upgrade the cloudvirt hosts which were installed early with the component to the udev/libudev1 package from stretch? They currently still have the now removed bpo version installed: https://debmonitor.wikimedia.org/packages/udev

Mentioned in SAL (#wikimedia-operations) [2019-05-06T09:59:12Z] <arturo> T222148 upgrade udev & libudev1 on cloudvirt[1001-1003,1005].eqiad.wmnet

aborrero closed this task as Resolved.May 6 2019, 10:03 AM

cloudvirt[1014,1016-1017,1021-1023].eqiad.wmnet,cloudvirtan[1001-1005].eqiad.wmnet are Debian jessie and are running udev 230-7~bpo8+2. All the others are stretch and are running udev 232-25+deb9u11.

I guess this is OK. We will, eventually, upgrade all the cloudvirts to Stretch.

Looks good, thanks